Bug 1303561 - QGnomePlatform
Summary: QGnomePlatform
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jiri Eischmann
QA Contact:
Simon Clark
URL:
Whiteboard: ChangeAcceptedF24, SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-01 10:03 UTC by Jan Kurik
Modified: 2016-09-29 11:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 11:24:57 UTC
simon.richard.clark: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jan Kurik 2016-02-01 10:03:54 UTC
This is a tracking bug for Change: QGnomePlatform
For more details, see: https://fedoraproject.org//wiki/Changes/QGnomePlatform

QGnomePlatform is a Qt Platform Theme aimed to accomodate as much of GNOME settings as possible and utilize them in Qt applications without modifying them - making them fit into the environment as well as possible.

Comment 1 Jan Kurik 2016-02-24 14:25:59 UTC
On 2016-Feb-23, we have reached Fedora 24 Change Checkpoint: Completion deadline (testable).

At this point, all accepted changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

Change tracking bug should be set to the MODIFIED state to indicate it achieved completeness.

Incomplete and non testable Changes will be reported to FESCo on 2016-Feb-26 meeting.  Contingency plan for System Wide Changes, if planned for Alpha (or in case of serious doubts regarding Change completion), will be activated.

Comment 2 Jan Kurik 2016-04-20 15:01:32 UTC
On 2016-Apr-19 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 24 release. At this point all the Changes not at least in in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan

Comment 3 Jan Grulich 2016-04-20 15:32:10 UTC
The change is complete as we planned to be. I just pushed some latest upstream fixes and improvements to be sure that this feature works as it should.

Comment 4 Simon Clark 2016-04-26 13:30:28 UTC
I have added release notes text to the draft F24 Release Notes here: https://git.fedorahosted.org/cgit/docs/release-notes.git/patch/?id=466ce9074a719deb5218b9bd7d26640246e2ea9f

Please would you take a look at the draft and let me know if anything should be added or changed?

Comment 5 Jan Grulich 2016-04-28 14:39:54 UTC
Looks good, except the section about configuration on two places, there is no place where you can setup appearance for Qt applications, this was always done internally on some basic level by other Qt Platform themes provided by Qt itself.

Comment 6 Jan Grulich 2016-04-28 14:43:44 UTC
To make it accurate, I'm talking about pure Qt applications, you can of course configure appearance of KDE applications when KDE Platform integration plugin is used. With QGnomePlatform the previously mentioned KDE Platform integration plugin is not used anymore and only configuration provided by QGnomePlatform is applied.

Comment 7 Simon Clark 2016-04-30 10:15:45 UTC
Thanks for the feedback, Jan.  I have edited the text to remove my error.  Please would you look at https://git.fedorahosted.org/cgit/docs/release-notes.git/patch/?id=5879bfecc2213a717dce9e51ae2b0d17c456a59f and confirm that the new text is now correct?

Comment 8 Jan Grulich 2016-05-02 06:00:13 UTC
I think it's perfect now.


Note You need to log in before you can comment on or make changes to this bug.